package demo.d3;
import java.util.List;
import fi.jyu.mit.ohj2.Tiedosto;

/**
 * Luetaan tiedosto ja tulostetaan se näytölle.
 * @author Vesa Lappalainen
 * @version 1.0, 22.01.2012
 */
public class TiedostonLukeminenList {

    /**
     * Esimerkkiohjelma tiedoston lukemisesta
     * käyttäen Tiedosto-luokan funktiota lueListaan.
     * @param args ei käytössä
     */  
    public static void main(String[] args)  {
        List<String> rivit = Tiedosto.lueListaan("users.html");
        if ( rivit == null ) {
            System.out.println("Tiedosto ei aukea!"); return;
        }
        for (String rivi:rivit)          
            System.out.println(rivi);
    }
}
