package fxKerho;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.fxml.FXML;

/**
 * @author vesal
 * @version 31.12.2015
 * Luokka käyttöliittymän tapahtumien hoitamiseksi
 */
public class KerhoGUIController {

    /**
     * Käsitellään uuden jäsenen lisääminen
     */
    @FXML private void handleUusiJasen() {
        // Dialogs.showMessageDialog("Ei osata vielä lisätä");
        // Dialogs.showMessageDialog("Tiedosto kelmit/nimet.dat ei aukea");
        Dialogs.showQuestionDialog("Poisto?", "Poistetaanko jäsen: Hopo Hessu", "Kyllä", "Ei");
    }


    @FXML private void handleTulosta() {
        TulostusController.tulosta("Kissat on kivoja");
        // TODO: muita lisätä tallenus toimimaan (HT6)
    }

    @FXML private void handleTallenna() {
        Dialogs.showMessageDialog("Ei osata vielä tallentaa");
        // TODO: muita lisätä tallenus toimimaan (HT6)
    }

    @FXML private void handleMuokkaaJasen() {
        // Dialogs.showMessageDialog("Ei osata vielä muokata");
        ModalController.showModal(KerhoGUIController.class.getResource("JasenDialogView.fxml"), "Jäsen", null, "");
    }
    
    
}
