package oliot.aika.olio;

/**
 * Esimerkki Aika-oliosta
 * @author vesal
 * @version 26.1.2016
 *
 */
public class Aika {
    
    private int h; // attribuutti
    private int m;
    
    /**
     * Alutetaan Aika-olio
     * @param h paljonko tunteja
     * @param m paljonko min
     */
    public Aika(int h, int m) { // muodostaja, constructor
        this.h = h;
        this.m = m;
    }

    
    /**
     * Lisätään aikaan lisaMin
     * @param lisaMin paljonko lisätään
     */
    public void lisaa(int lisaMin) {
        this.m += lisaMin;
    }
    
    
    @Override
    public String toString() {
        return this.h + ":" + this.m;
    }
    
    
    /**
     * Luodaan pari Aika-oliota
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        Aika a1 = new Aika(12, 15);
        Aika a2 = new Aika(13, 16);
        Aika a3 = new Aika(14, 35);
        
        System.out.println(a1.toString());
        a1.lisaa(55);
        System.out.println(a1);
        System.out.println(a2);
        System.out.println(a3);
    }

}
