package demo.d4;

import java.util.Arrays;

/**
 * Muutetaan taulkoita
 * @author vesal
 * @version 17.1.2014 
 */
public class TaulukonMuuttaminen {

	/**
	 * Kokeillaan summa-funktiota
	 * @param args ei käytössä
	 */
	public static void main(String[] args) {
		int[] t = {32, 32, 76, 62, 31, 86};
        System.out.println(Arrays.toString(t));
        lisaaArvoihin6(t,5);
        System.out.println(Arrays.toString(t));

        laskePerkakkaiset6(t);
        System.out.println(Arrays.toString(t));
	}

	
	/**
     * Lisätään kuhunkin taulukon alkiooon lisättävä arvo
	 * @param t taulukko johon lisätään (vain 6 paikkainen)
	 * @param lisattava mikä luku lisätään kuhunkin alkioon
	 * @example
	 * <pre name="test">
     * #import java.util.Arrays;
	 *   int[] t = {1,2,3,4,5,6};
	 *   lisaaArvoihin6(t,5);
	 *   Arrays.toString(t) === "[6, 7, 8, 9, 10, 11]";
	 * </pre>
	 */
    @SuppressWarnings("unused")
	public static void lisaaArvoihin6(int[] t,int lisattava) {
        // TODO: kopioi tähän Taunon tekemä koodi ilman int[] t = -riviä
	    // TODO: huomaa että myös listättävä tuodaan parametrina
	}


	/**
	 * Lasketaan yhteen peräkkäisissä paikoissa olevat taulukon alkiot ja 
	 * laitetaan tulos aina parilliseen (0,2,4) paikaan. 
	 * Vastaavaan parittomaan paikkaan laitetaan arvo 0. 
	 * Eli taulukon summa pysyy samana, mutta parittomissa (1,3,5) 
	 * paikoissa olevat alkiot nollautuvat.
	 * 
	 * @param t taulukko jonka luvut lasketaan (vain 6 paikkainen)
	 * @example
	 * <pre name="test">
     * #import java.util.Arrays;
	 *   int[] t = {1,2,3,4,5,6};
	 *   laskePerkakkaiset6(t);
     *   Arrays.toString(t) === "[3, 0, 7, 0, 11, 0]";
	 * </pre>
	 */
    @SuppressWarnings("unused")
	public static void laskePerkakkaiset6(int[] t) {
        // TODO: kopioi tähän Taunon tekemä koodi ilman int[] t = -riviä
	}
}
