package elukat;

/**
 * @author vesal
 * @version 27.1.2020
 *
 */
public class Koira extends Elain {
    
    /**
     * @param nimi kissan nimi
     * @param paino paljon painaa
     */
    public Koira(String nimi, double paino) {
        super(nimi, paino);
    }
    
    
    /**
     * ÄÄnetele kuten kissa
     */
    @Override
    public void aantele() {
        System.out.println("Hau hau");
    }
    
    

    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        Koira musti = new Koira("Musti", 18000);
        Koira pluto = new Koira("Pluto", 200);

        Kissa miuku = new Kissa("Miuku", 18000);
        Kissa mirri = new Kissa("Mirri", 200);
        
        Elain[] elukat = {musti, mirri, pluto, miuku, new Kissa("Nauku", 5000) };
        
        for (Elain elain: elukat) {
            elain.aantele();
            System.out.println(elain);
        }
        
    }

}
