package lumiukkoCmd;

import java.awt.Color;

import fi.jyu.mit.graphics.Circle;
import fi.jyu.mit.graphics.Drawable;
import fi.jyu.mit.graphics.EasyWindow;
import fi.jyu.mit.graphics.Line;

/**
 * Piirretään lumiukkoja
 * @author vesal
 * @version 14.9.2008
 */
public class Lumiukot {

    /**
     * Piirretään lumiukko valittuun paikkaan
     * @param window ikkuna johon piirretään
     * @param x ukon alapallon x-koordinaatti
     * @param y ukon alapallon y-koordinaatti
     */
    public static void lumiukko(EasyWindow window, double x, double y) {
        window.addCircle(x,y-2*15-20-10,10);
        window.addCircle(x,y-15-20,15);
        window.addCircle(x,y,20);
    }

    

    /**
     * Piirretään pari lumiukkoa
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        EasyWindow window = new EasyWindow();
        lumiukko(window, 50, 130);
        lumiukko(window, 150, 230);
        
        Drawable ymp = new Circle(200, 200, 40);
        ymp.setColor(Color.GREEN);
        window.add(ymp);
        
        Drawable viiva = new Line(10,10, 100,100);
        window.add(viiva);
    }

}