package dynaaminen;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * Esimerkki ArrayLististä
 * @author vesal
 * @version 7.3.2016
 */
public class TaulukkoList {

    @SuppressWarnings("javadoc")
    public static void main(String[] args) {
        ArrayList<Integer> luvut = new ArrayList<>();
        luvut.add(2); // luvut.add(new Integer(2));
        luvut.add(99);
        luvut.add(77);
        System.out.println(luvut);
        
        for (int i=0; i < luvut.size();) {
            Integer luku = luvut.get(i++);
            System.out.print(luku + " ");
        }
        System.out.println();
        
        
        Iterator<Integer> iter = luvut.iterator();
        
        while (iter.hasNext()) {
            Integer luku = iter.next();
            System.out.print(luku + " ");
        }    
        System.out.println();

        for (Iterator<Integer> iter2 = luvut.iterator(); iter2.hasNext(); ) {
            Integer luku = iter2.next();
            System.out.print(luku + " ");
        }    
        System.out.println();

        for (var iter2 = luvut.iterator(); iter2.hasNext(); ) {
            var luku = iter2.next();
            System.out.print(luku + " ");
        }    
        System.out.println();

        for (Integer luku: luvut) {
            System.out.print(luku + " ");
        }    
        System.out.println();
        
        
    }

}
