/**
 * @file aikalisa.cpp
 * Esimerkki parametrin vlityksest
 *
 * @author Vesa Lappalainen
 * @version 27.4.2003
 */

#include <iostream>
#include <iomanip>
using namespace std;

void lisaa(int *ph, int *pm, int lisa_min)
{
  int yht_min = (*ph)*60 + (*pm) + lisa_min;
  // ph++; // ky huonosti
  *ph = yht_min / 60;
  *pm = yht_min % 60;
}


void lisaa(int &rh, int &rm, int lisa_min)
{
  int yht_min = rh*60 + rm + lisa_min;
  // rh++;  // ei vahinkoa
  rh = yht_min / 60;
  rm = yht_min % 60;
}


void tulosta(int h, int m)
{
  cout << h << ":" << setw(2)<< m << endl;
}


int main(void)
{
  int h=12,m=15;
  lisaa(&h,&m,55);
  tulosta(h,m);

  lisaa(h,m,55);
  tulosta(h,m);

  return 0;
}
